# Method: customers.deployments.list

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/list#body.request_body)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/list#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/list#body.aspect)

Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`.

### HTTP request

`GET https://sasportal.googleapis.com/v1alpha1/{parent=customers/*}/deployments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name, for example, "nodes/1", customer/1/nodes/2. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of deployments to return in the response. |
| `pageToken` | `string` A pagination token returned from a previous call to `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments/list#spectrum.sas.portal.v1alpha1.DeviceManager.ListDeployments` that indicates where this listing should continue from. |
| `filter` | `string` The filter expression. The filter should have the following format: "DIRECT_CHILDREN" or format: "direct_children". The filter is case insensitive. If empty, then no deployments are filtered. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/ListDeploymentsResponse`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sasportal`